Bug 12265 - libGL.so and accompanying stuff should be in a XFree86-glx RPM
Summary: libGL.so and accompanying stuff should be in a XFree86-glx RPM
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-14 15:36 UTC by Hans de Goede
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-14 15:36:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2000-06-14 15:36:21 UTC
libGL libGLU and libglut should be in a seprate GL package and the headers
should be in a seperate -devel package.

Why?
-People who use cards which only work with old 3.3 servers might want a
software OpenGL (Mesa), the software GL in 4.0 doesn't work with a 3.3
server
-People like me with an 3dfx Voodoo 2 will want a Mesa compiled for
their VooDoo as opengllib, not the default XF40 implementation
-Some people might want to use an commercial OpenGL

If this package should obsolete Mesa like the current XFree-libs-4.0 does
is discutable.

Comment 1 Bill Nottingham 2000-06-17 22:30:46 UTC
this is fixed in XFree86-4.0-21.


Note You need to log in before you can comment on or make changes to this bug.